/*	Assignment 2 -- Clipping
================================================================================
	loader.h

		Declaration for model loader structures and functions
================================================================================
*/
#ifndef LOADER_H
#define LOADER_H
//==============================================================================
////////////////////////////////////////////////////////////////////////////////
//// Structs ///////////////////////////////////////////////////////////////////
struct SVertex
{
	float	vPosition[3];	// The X, Y, and Z coordinates of this vertex
	float	vNormal[3];		// The normal in the X, Y, and Z direction
};

struct SFace
{
	int	iVerts[3];	// The indices of the vertices used by this face
};

struct	SPolyModel
{
	SVertex	*pVerts;	// Array of vertices used by the model
	SFace	*pFaces;	// Array of the faces used by the model
	int	iNumVerts;		// Number of vertices in the model 
	int iNumFaces;		// Number of faces in the model
};

////////////////////////////////////////////////////////////////////////////////
//// Functions /////////////////////////////////////////////////////////////////
SPolyModel *LoadPolyModel(const char szFilename[]);
void		FreePolyModel(SPolyModel *pModel);

//==============================================================================
#endif